Bug 1273318 (CVE-2015-4844) - CVE-2015-4844 ICU: missing boundary checks in layout engine (OpenJDK 2D, 8132042)
Summary: CVE-2015-4844 ICU: missing boundary checks in layout engine (OpenJDK 2D, 8132...
Status: CLOSED ERRATA
Alias: CVE-2015-4844
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
urgent
urgent
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard: impact=critical,public=20151020,repor...
Keywords: Security
Depends On:
Blocks: 1257667
TreeView+ depends on / blocked
 
Reported: 2015-10-20 08:21 UTC by Tomas Hoger
Modified: 2019-06-08 20:47 UTC (History)
4 users (show)

(edit)
Clone Of:
(edit)
Last Closed: 2015-11-27 12:53:45 UTC


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2015:1919 normal SHIPPED_LIVE Important: java-1.8.0-openjdk security update 2015-10-22 01:07:59 UTC
Red Hat Product Errata RHSA-2015:1920 normal SHIPPED_LIVE Critical: java-1.7.0-openjdk security update 2015-10-22 00:57:50 UTC
Red Hat Product Errata RHSA-2015:1921 normal SHIPPED_LIVE Important: java-1.7.0-openjdk security update 2015-10-21 22:47:05 UTC
Red Hat Product Errata RHSA-2015:1926 normal SHIPPED_LIVE Critical: java-1.8.0-oracle security update 2017-12-15 15:33:26 UTC
Red Hat Product Errata RHSA-2015:1927 normal SHIPPED_LIVE Critical: java-1.7.0-oracle security update 2017-12-15 15:33:43 UTC
Red Hat Product Errata RHSA-2015:1928 normal SHIPPED_LIVE Important: java-1.6.0-sun security update 2017-12-15 15:32:47 UTC
Red Hat Product Errata RHSA-2015:2086 normal SHIPPED_LIVE Important: java-1.6.0-openjdk security update 2015-11-18 21:40:11 UTC
Red Hat Product Errata RHSA-2015:2506 normal SHIPPED_LIVE Critical: java-1.7.1-ibm security update 2015-11-23 17:56:27 UTC
Red Hat Product Errata RHSA-2015:2507 normal SHIPPED_LIVE Critical: java-1.7.0-ibm security update 2015-11-23 17:40:46 UTC
Red Hat Product Errata RHSA-2015:2508 normal SHIPPED_LIVE Critical: java-1.6.0-ibm security update 2015-11-23 17:39:17 UTC
Red Hat Product Errata RHSA-2015:2509 normal SHIPPED_LIVE Critical: java-1.8.0-ibm security update 2015-11-23 17:56:18 UTC
Red Hat Product Errata RHSA-2015:2518 normal SHIPPED_LIVE Important: java-1.5.0-ibm security update 2015-11-26 02:15:42 UTC
Red Hat Product Errata RHSA-2016:1430 normal SHIPPED_LIVE Moderate: java-1.7.0-ibm and java-1.7.1-ibm security update 2016-07-18 17:51:35 UTC

Description Tomas Hoger 2015-10-20 08:21:20 UTC
It was discovered that ICU Layout Engine was missing multiple boundary and error return checks.  These could lead to buffer overflows and memory corruption.  A specially crafted font file could cause an application using ICU to parse untrusted fonts to crash and, possibly, execute arbitrary code.

ICU code is embedded the 2D component in OpenJDK and used by FontManager.  An untrusted Java application or applet could use this flaw to execute arbitrary code with Java Virtual Machine privileges and bypass Java sandbox restrictions.

Comment 1 Tomas Hoger 2015-10-21 08:53:22 UTC
Public now via Oracle Critical Patch Update - October 2015.  Fixed in Oracle Java SE 6u105, 7u91, and 8u65.

External References:

http://www.oracle.com/technetwork/topics/security/cpuoct2015-2367953.html#AppendixJAVA

Comment 2 errata-xmlrpc 2015-10-21 18:48:15 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 5

Via RHSA-2015:1921 https://rhn.redhat.com/errata/RHSA-2015-1921.html

Comment 3 errata-xmlrpc 2015-10-21 20:59:48 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 6
  Red Hat Enterprise Linux 7

Via RHSA-2015:1920 https://rhn.redhat.com/errata/RHSA-2015-1920.html

Comment 4 errata-xmlrpc 2015-10-21 21:09:08 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 6
  Red Hat Enterprise Linux 7

Via RHSA-2015:1919 https://rhn.redhat.com/errata/RHSA-2015-1919.html

Comment 5 errata-xmlrpc 2015-10-22 18:35:40 UTC
This issue has been addressed in the following products:

  Oracle Java for Red Hat Enterprise Linux 7
  Oracle Java for Red Hat Enterprise Linux 5
  Oracle Java for Red Hat Enterprise Linux 6

Via RHSA-2015:1928 https://rhn.redhat.com/errata/RHSA-2015-1928.html

Comment 6 errata-xmlrpc 2015-10-22 18:36:39 UTC
This issue has been addressed in the following products:

  Oracle Java for Red Hat Enterprise Linux 7
  Oracle Java for Red Hat Enterprise Linux 6

Via RHSA-2015:1926 https://rhn.redhat.com/errata/RHSA-2015-1926.html

Comment 7 errata-xmlrpc 2015-10-22 18:45:59 UTC
This issue has been addressed in the following products:

  Oracle Java for Red Hat Enterprise Linux 7
  Oracle Java for Red Hat Enterprise Linux 5
  Oracle Java for Red Hat Enterprise Linux 6

Via RHSA-2015:1927 https://rhn.redhat.com/errata/RHSA-2015-1927.html

Comment 8 Tomas Hoger 2015-10-26 14:31:41 UTC
OpenJDK8 upstream commit:

http://hg.openjdk.java.net/jdk8u/jdk8u/jdk/rev/dbb4e2bdfa9e

Comment 9 errata-xmlrpc 2015-11-18 16:41:35 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 5
  Red Hat Enterprise Linux 6
  Red Hat Enterprise Linux 7

Via RHSA-2015:2086 https://rhn.redhat.com/errata/RHSA-2015-2086.html

Comment 10 errata-xmlrpc 2015-11-23 12:41:36 UTC
This issue has been addressed in the following products:

  Supplementary for Red Hat Enterprise Linux 6
  Supplementary for Red Hat Enterprise Linux 5

Via RHSA-2015:2508 https://rhn.redhat.com/errata/RHSA-2015-2508.html

Comment 11 errata-xmlrpc 2015-11-23 12:43:30 UTC
This issue has been addressed in the following products:

  Supplementary for Red Hat Enterprise Linux 5

Via RHSA-2015:2507 https://rhn.redhat.com/errata/RHSA-2015-2507.html

Comment 12 errata-xmlrpc 2015-11-23 12:57:22 UTC
This issue has been addressed in the following products:

  Supplementary for Red Hat Enterprise Linux 7

Via RHSA-2015:2509 https://rhn.redhat.com/errata/RHSA-2015-2509.html

Comment 13 errata-xmlrpc 2015-11-23 12:59:13 UTC
This issue has been addressed in the following products:

  Supplementary for Red Hat Enterprise Linux 6
  Supplementary for Red Hat Enterprise Linux 7

Via RHSA-2015:2506 https://rhn.redhat.com/errata/RHSA-2015-2506.html

Comment 14 errata-xmlrpc 2015-11-25 21:17:06 UTC
This issue has been addressed in the following products:

  Supplementary for Red Hat Enterprise Linux 5
  Supplementary for Red Hat Enterprise Linux 6

Via RHSA-2015:2518 https://rhn.redhat.com/errata/RHSA-2015-2518.html

Comment 15 Tomas Hoger 2015-11-27 12:53:45 UTC
Created the following ICU4C upstream ticket:

http://bugs.icu-project.org/trac/ticket/12020

Comment 16 errata-xmlrpc 2016-07-18 13:54:10 UTC
This issue has been addressed in the following products:

  Red Hat Satellite 5.6
  Red Hat Satellite 5.7

Via RHSA-2016:1430 https://access.redhat.com/errata/RHSA-2016:1430


Note You need to log in before you can comment on or make changes to this bug.